package model

import pasturePb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/cow"

const (
	ActiveLowest    = "active_lowest"
	RuminaLowest    = "rumina_lowest"
	WeeklyActive    = "weekly_active"
	XRuminaDisc     = "x_rumina_disc"
	XChangeDiscount = "x_change_discount"
	ActiveLow       = "active_low"
	ActiveMiddle    = "active_middle"
	ActiveHigh      = "active_high"
	MaxEstrus       = "max_estrus"
	MaxHabit        = "max_habit"
)

type SystemConfigure struct {
	Id        int64                 `json:"id"`
	Name      string                `json:"name"`
	Value     int32                 `json:"value"`
	Remarks   string                `json:"remarks"`
	IsShow    pasturePb.IsShow_Kind `json:"is_show"`
	CreatedAt int64                 `json:"createdAt"`
	UpdatedAt int64                 `json:"updatedAt"`
}

func (s *SystemConfigure) TableName() string {
	return "system_configure"
}
