package crontab

type XToday struct {
	XBegDate       string
	XEndDate       string
	LastMaxHabitId int64
	CurrMaxHabitId int64
	XMin2Id        int64
	XMin7Id        int64
	ActiveLowest   int64
	RuminaLowest   int64
	ActiveLow      int64
	ActiveMiddle   int64
	ActiveHigh     int64
}

type AvgHabit struct {
	CowId            int64
	AvgHighHabit     int32
	AvgRuminaHabit   int32
	AvgChewHabit     int32
	AvgInactiveHabit int32
	AvgIntakeHabit   int32
	AvgOtherHabit    int32
}

type SumHabit struct {
	CowId       int64
	SumRumina   int32
	SumIntake   int32
	SumInactive int32
	SumActive   int32
	SumMaxHigh  int32
	SumMinHigh  int32
	SumMinChew  int32
}

type ChangeFilterData struct {
	Id           int64
	CowId        int64
	HighChange   int32
	ChangeFilter int32
	RuminaFilter int32
	ChangeRumina int32
	ChewFilter   int32
	ChangeChew   int32
	XlcDisCount  float64
}

type ActivityVolume struct {
	CowId     int64
	AvgFilter int32
	StdFilter int32
	Nb        int32
}

type CowEstrusOriginal struct {
	CowId      int64
	Lact       int32
	CalvingAge int64
	CreateTime string
	Cft        float32
	High       int32
}

type CowEstrus struct {
	CowId      int64
	ActiveDate string
	HadJust    int32
}
